Skip to content

ACH Processor

ACH payment processing and reports.

3 endpoints All API groups

Get Report

POST /api/AchProcessor/GetReport

Request body

Schema: AchReportRequest

Field Type Requirement Description
Parameters AchReportParameters Optional
AppKey string Required Application Key which uniquely identifies your application as provided by the Blackstone system.
AppType integer (int32) Required Application Type as provided by the Blackstone system.
mid integer (int32) Required Merchant ID – A number used to identify the merchant.
cid integer (int32) Required Cashier ID – A number used to identify the merchant’s subclient.
UserName string Required User credential of the client on the host.
Password string Required Password of the client on the host.
IpAddress string Optional
Source string — ApiClient, BpaydPortal, BPaydApp, BatchCloser, RecurringBillingTask, BPaydPlugin, PaymentFrame, VirtualTerminal, PaymentLink, Recurring, Invoice, QuickPayment, TakePayment, QuickPaymentMobileApp, WordPress, Zoho, Xero, Odoo, GoHighLevel, TakePaymentMobileApp Optional
AppInfo string Optional
IsTest boolean Optional
curl --request POST \
  --url 'https://services.bmspay.com/api/AchProcessor/GetReport' \
  --header 'Content-Type: application/json' \
  --data-binary @- <<'JSON'
{
  "AppKey": "your-app-key",
  "AppType": 1,
  "mid": 1,
  "cid": 1,
  "UserName": "your-username",
  "Password": "your-password",
  "IsTest": true
}
JSON
{
  "AppKey": "your-app-key",
  "AppType": 1,
  "mid": 1,
  "cid": 1,
  "UserName": "your-username",
  "Password": "your-password",
  "IsTest": true
}

Responses

Status Description Schema
200 The Response AchReportResponse
Example response
{
  "Transactions": [
    {
      "id": 1,
      "userId": 1,
      "mid": 1,
      "TerminalId": "<terminal-id>",
      "TransactionId": "unique-transaction-id",
      "RoutingNumber": "<routing-number>",
      "AccountNumber": "<account-number>",
      "CheckNumber": "<check-number>",
      "AccountType": "<account-type>",
      "PacketIdentifier": "<packet-identifier>",
      "CheckAmount": 10.0,
      "ResponseType": "<response-type>",
      "ResponseTypeText": "<response-type-text>",
      "ResultCode": "<result-code>",
      "TypeCode": "<type-code>",
      "Code": "<code>"
    }
  ],
  "ResponseCode": 200,
  "Msg": [
    "<msg>"
  ],
  "verbiage": "<verbiage>",
  "displayMessage": "<display-message>"
}

Process Ach

POST /api/AchProcessor/ProcessAch

Process ach by Web with Geti web service

Request body

Schema: AchRequest

Field Type Requirement Description
TerminalID string Optional
ROUTING_NUMBER string Optional
ACCOUNT_NUMBER string Optional
ACCOUNT_TYPE string Optional
CHECK_NUMBER string Optional
FIRST_NAME string Optional
LAST_NAME string Optional
ADDRESS1 string Optional
ADDRESS2 string Optional
CITY string Optional
STATE string Optional
ZIP string Optional
PHONE_NUMBER string Optional
DL_STATE string Optional
DL_NUMBER string Optional
COURTESY_CARD_ID string Optional
SSN4 string Optional
DOB_YEAR string Optional
CHECK_AMOUNT string Optional
Method integer (int32) Optional
COMPANY_NAME string Optional
AppKey string Required Application Key which uniquely identifies your application as provided by the Blackstone system.
AppType integer (int32) Required Application Type as provided by the Blackstone system.
mid integer (int32) Required Merchant ID – A number used to identify the merchant.
cid integer (int32) Required Cashier ID – A number used to identify the merchant’s subclient.
UserName string Required User credential of the client on the host.
Password string Required Password of the client on the host.
IpAddress string Optional
Source string — ApiClient, BpaydPortal, BPaydApp, BatchCloser, RecurringBillingTask, BPaydPlugin, PaymentFrame, VirtualTerminal, PaymentLink, Recurring, Invoice, QuickPayment, TakePayment, QuickPaymentMobileApp, WordPress, Zoho, Xero, Odoo, GoHighLevel, TakePaymentMobileApp Optional
AppInfo string Optional
IsTest boolean Optional
curl --request POST \
  --url 'https://services.bmspay.com/api/AchProcessor/ProcessAch' \
  --header 'Content-Type: application/json' \
  --data-binary @- <<'JSON'
{
  "AppKey": "your-app-key",
  "AppType": 1,
  "mid": 1,
  "cid": 1,
  "UserName": "your-username",
  "Password": "your-password",
  "IsTest": true
}
JSON
{
  "AppKey": "your-app-key",
  "AppType": 1,
  "mid": 1,
  "cid": 1,
  "UserName": "your-username",
  "Password": "your-password",
  "IsTest": true
}

Responses

Status Description Schema
200 The Response AchResponse
Example response
{
  "ResultCodeMsg": [
    "<result-code-msg>"
  ],
  "CodeTypeMsg": [
    "<code-type-msg>"
  ],
  "ErrorMessages": [
    "<error-messages>"
  ],
  "ResponseType": "<response-type>",
  "ResponseTypeText": "<response-type-text>",
  "ResultCode": "<result-code>",
  "TypeCode": "<type-code>",
  "Code": "<code>",
  "Message": "<message>",
  "TransactionInfo": {
    "AccountNumber": "<account-number>",
    "RoutingNumber": "<routing-number>",
    "CheckAmount": "<check-amount>",
    "ServiceTransactionNumber": "<service-transaction-number>",
    "AchId": 1
  },
  "ValidationMessage": "<validation-message>",
  "ResponseCode": 200,
  "Msg": [
    "<msg>"
  ],
  "verbiage": "<verbiage>",
  "displayMessage": "<display-message>"
}

Void Ach

POST /api/AchProcessor/VoidAch

Process an ach void by Web with Geti web service

Request body

Schema: AchVoidRequest

Field Type Requirement Description
AchId integer (int32) Optional
AbaRouting string Optional
AccountNumber string Optional
AchAmount number (double) Optional
AppKey string Required Application Key which uniquely identifies your application as provided by the Blackstone system.
AppType integer (int32) Required Application Type as provided by the Blackstone system.
mid integer (int32) Required Merchant ID – A number used to identify the merchant.
cid integer (int32) Required Cashier ID – A number used to identify the merchant’s subclient.
UserName string Required User credential of the client on the host.
Password string Required Password of the client on the host.
IpAddress string Optional
Source string — ApiClient, BpaydPortal, BPaydApp, BatchCloser, RecurringBillingTask, BPaydPlugin, PaymentFrame, VirtualTerminal, PaymentLink, Recurring, Invoice, QuickPayment, TakePayment, QuickPaymentMobileApp, WordPress, Zoho, Xero, Odoo, GoHighLevel, TakePaymentMobileApp Optional
AppInfo string Optional
IsTest boolean Optional
curl --request POST \
  --url 'https://services.bmspay.com/api/AchProcessor/VoidAch' \
  --header 'Content-Type: application/json' \
  --data-binary @- <<'JSON'
{
  "AppKey": "your-app-key",
  "AppType": 1,
  "mid": 1,
  "cid": 1,
  "UserName": "your-username",
  "Password": "your-password",
  "IsTest": true
}
JSON
{
  "AppKey": "your-app-key",
  "AppType": 1,
  "mid": 1,
  "cid": 1,
  "UserName": "your-username",
  "Password": "your-password",
  "IsTest": true
}

Responses

Status Description Schema
200 The Response AchVoidResponse
Example response
{
  "ResultCodeMsg": [
    "<result-code-msg>"
  ],
  "CodeTypeMsg": [
    "<code-type-msg>"
  ],
  "ResponseType": "<response-type>",
  "ResponseTypeText": "<response-type-text>",
  "ResultCode": "<result-code>",
  "TypeCode": "<type-code>",
  "Code": "<code>",
  "Message": "<message>",
  "ValidationMessage": "<validation-message>",
  "ResponseCode": 200,
  "Msg": [
    "<msg>"
  ],
  "verbiage": "<verbiage>",
  "displayMessage": "<display-message>"
}